
import 'package:flutter_mylibrary/http/http_data.dart';

/// 接口的code没有返回为true的异常
class NotSuccessException implements Exception {
  String message;
  String code;

  NotSuccessException.create(String code, String msg) {
    this.message = msg;
    this.code = code;
  }

  @override
  String toString() {
    return 'NotSuccessException{code: $code, msg: $message}';
  }
}

/// 用于未登录等权限不够,需要跳转授权页面
class UnAuthorizedException implements Exception {
  const UnAuthorizedException();

  @override
  String toString() => 'UnAuthorizedException';
}


/// 没有数据返回的异常
class NoDataException implements Exception {

  String resJson;


  NoDataException.create(String resJson) {
    this.resJson = resJson;
  }


  @override
  String toString() => 'NoDataException';
}